### Method

# Secret Item get_attributes

#### Declaration [src]

    GHashTable*
    secret_item_get_attributes (
      SecretItem* self
    )

#### Description [src]

Set the attributes of this item.

The `attributes` are a mapping of string keys to string values. Attributes are used to search for items. Attributes are not stored or transferred securely by the secret service.

Do not modify the attributes returned by this method. Use `secret_item_set_attributes()` instead.

#### Return value

Type: `GHashTable`

A new reference to the attributes, which should not be modified, and released with `g_hash_table_unref()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.